commit b8754a8ff8bc26887431d7a443709e4f08b35af7
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Oct 21 02:17:57 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 17461b15973..9b3296bb752 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211020
+20211021
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index f913b4d7e6f..f9e7a39de8e 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,9 @@
+2021-10-20  Arnaud Charlet  <charlet@adacore.com>
+
+	PR ada/100486
+	* sem_prag.adb (Check_Valid_Library_Unit_Pragma): Do not raise an
+	exception as part of the bootstrap.
+
 2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* libgnat/s-dwalin.adb (Parse_Header): Tweak comments.
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 14b80f7f263..47a765c7e79 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,17 @@
+2021-10-20  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-10-20  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/102642
+	* name-lookup.c (push_local_extern_decl_alias): Don't call
+	set_decl_tls_model on error_mark_node.
+	* decl.c (make_rtl_for_nonlocal_decl): Don't call
+	set_user_assembler_name on error_mark_node.
+	* parser.c (cp_parser_oacc_declare): Ignore DECL_LOCAL_DECL_ALIAS
+	if it is error_mark_node.
+	(cp_parser_omp_declare_target): Likewise.
+
 2021-10-08  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f547513fcdb..73090de5d37 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-10-20  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-10-20  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/102642
+	* g++.dg/tls/pr102642.C: New test.
+
 2021-10-19  Tobias Burnus  <tobias@codesourcery.com>
 
 	Backported from master:

